> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get list of delegators staking to a specific Cardano stake pool with their stake amounts and addresses.

# Stake pool delegators



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /pools/{pool_id}/delegators
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /pools/{pool_id}/delegators:
    get:
      tags:
        - Pools
      summary: Stake pool delegators
      description: Returns a list of delegators of the specified pool
      operationId: pool_delegators
      parameters:
        - name: pool_id
          in: path
          description: Pool ID in bech32 format
          required: true
          schema:
            type: string
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
        - name: amounts-as-strings
          in: header
          description: Large numbers returned as strings if set to `true`
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Array of information about current delegators for a given pool
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedDelegatorInfo'
              example:
                data:
                  - stake_address: >-
                      stake1u82hrwv9ucsa38k4qejwenmq5zmleexlsplc4acpvl3g6asxr8aay
                    amount: 838095398379
                    active_epoch_no: 234
                    latest_delegation_tx_hash: >-
                      94019e466d8c1a89f88df4127980bc6fb3f432b21c3f498ceb2daaedd721f04b
                  - stake_address: >-
                      stake1uy0yzgwlv2898qwap6qtg7uwavknxtqfs3c2u8x35rgf5jcx0z2tv
                    amount: 19763135363
                    active_epoch_no: 363
                    latest_delegation_tx_hash: >-
                      659911f1d712961c6795c1c082b216704351f368ef52388b9c0564e7d947218c
                  - stake_address: >-
                      stake1uy7cha5x6k67xq0c5adpsknf8982pdr4vwrn9yaxapzz9esmllnll
                    amount: 22896634615
                    active_epoch_no: 234
                    latest_delegation_tx_hash: >-
                      100124ac08d9beaa68c9592a35bd4479ccdf20f74b6ff60bc87311fa4ca6b248
                  - stake_address: >-
                      stake1uylvs9r8f98cjfehvdy8ypa9feslckdy48m4vn8ruvaupas47scvy
                    amount: 1474
                    active_epoch_no: 263
                    latest_delegation_tx_hash: >-
                      c317381b0d9e243dea2eacefe1a85d9e2186b6a80e70ca9c9680a757353a7a3e
                last_updated:
                  timestamp: '2022-10-10 20:25:28'
                  block_hash: >-
                    525024696e2a2fa3312bc726d443aebae17763387207299c3e8b394dddf592e4
                  block_slot: 96404843
                next_cursor: null
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedDelegatorInfo:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/DelegatorInfo'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    DelegatorInfo:
      type: object
      description: Information summary of a delegator
      required:
        - amount
      properties:
        active_epoch_no:
          type: integer
          format: int64
          description: Epoch at which the delegation becomes active
          nullable: true
        amount:
          $ref: '#/components/schemas/NumOrString'
        latest_delegation_tx_hash:
          type: string
          description: Transaction hash relating to the most recent delegation
          nullable: true
        stake_address:
          type: string
          description: Bech32 encoded stake address (reward address)
          nullable: true
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
    NumOrString:
      oneOf:
        - type: integer
          format: int64
          description: Unsigned 64-bit integer
          minimum: 0
        - type: integer
          description: Unsigned 128-bit integer
          minimum: 0
        - type: integer
          format: int64
          description: Signed 64-bit integer
        - type: number
          format: double
          description: 64-bit floating point number
        - type: string
          description: String representation of an integer or number
      description: >-
        Integer or number by default, or a string representation if the
        `amounts-as-strings` header is set to `true`
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````